*  NLP written by GAMS Convert at 02/13/14 21:35:19
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*         19       19        0        0        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         19       19        0        0        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*         71       51       20        0
*
*  Solve m using NLP maximizing x1;


Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x14,x15,x16,x17,x18,x19;

Equations  e1,e2,e3,e4,e5,e6,e7,e8,e9,e10,e11,e12,e13,e14,e15,e16,e17,e18,e19;


e1.. -(0.1*(sqr(x3) - 2*x3) - 3.2247*x3) - 4.1394*x2 + 1.1678*x4 - 0.2532*x5
      - 0.1*x18 =E= 0;

e2.. -(0.1*(sqr(x4) - 2*x4) - 0.7753*x4) + 1.7394*x2 - 3.5678*x3 + 1.0532*x5
      - 0.1*x18 =E= 0;

e3.. -(0.1*(sqr(x5) - 2*x5) - 5*x5) - 3*x2 + 5.532*x3 - 7.532*x4 - 0.1*x18
      =E= 0;

e4.. -(0.1*(sqr(x7) - 2*x7) - 3.2247*x7) - 4.1394*x6 + 1.1678*x8 - 0.2532*x9
      - 0.1*x19 =E= 0;

e5.. -(0.1*(sqr(x8) - 2*x8) - 0.7753*x8) + 1.7394*x6 - 3.5678*x7 + 1.0532*x9
      - 0.1*x19 =E= 0;

e6.. -(0.1*(sqr(x9) - 2*x9) - 5*x9) - 3*x6 + 5.532*x7 - 7.532*x8 - 0.1*x19
      =E= 0;

e7.. -(0.1*(-(2 - 2*x3)*x11 - x3) - 3.2247*x11) - 4.1394*x10 + 1.1678*x12
      - 0.2532*x13 =E= 0;

e8.. -(0.1*(-(2 - 2*x4)*x12 - x4) - 0.7753*x12) + 1.7394*x10 - 3.5678*x11
      + 1.0532*x13 =E= 0;

e9.. -(0.1*(-(2 - 2*x5)*x13 - x5) - 5*x13) - 3*x10 + 5.532*x11 - 7.532*x12
      =E= 0;

e10.. -(0.1*(-(2 - 2*x7)*x15 - x7) - 3.2247*x15) - 4.1394*x14 + 1.1678*x16
       - 0.2532*x17 =E= 0;

e11.. -(0.1*(-(2 - 2*x8)*x16 - x8) - 0.7753*x16) + 1.7394*x14 - 3.5678*x15
       + 1.0532*x17 =E= 0;

e12.. -(0.1*(-(2 - 2*x9)*x17 - x9) - 5*x17) - 3*x14 + 5.532*x15 - 7.532*x16
       =E= 0;

e13..  - x2 =E= 4;

e14..  - x10 =E= 0;

e15..  - x5 + x6 =E= 0;

e16..  - x9 =E= 0;

e17..  - x13 + x14 =E= 0;

e18..  - x17 =E= 0;

e19.. -(sqr(x13) + sqr(x17)) + x1 =E= 0;

* set non-default bounds
x2.lo = -5;x2.up = 5;
x3.lo = -5;x3.up = 5;
x4.lo = -5;x4.up = 5;
x5.lo = -5;x5.up = 5;
x6.lo = -5;x6.up = 5;
x7.lo = -5;x7.up = 5;
x8.lo = -5;x8.up = 5;
x9.lo = -5;x9.up = 5;
x10.lo = -10;x10.up = 10;
x11.lo = -10;x11.up = 10;
x12.lo = -10;x12.up = 10;
x13.lo = -10;x13.up = 10;
x14.lo = -10;x14.up = 10;
x15.lo = -10;x15.up = 10;
x16.lo = -10;x16.up = 10;
x17.lo = -10;x17.up = 10;
x18.lo = -8;x18.up = 8;
x19.lo = -8;x19.up = 8;

* set non-default levels
x2.l = -3;
x3.l = -3;
x4.l = -3;
x5.l = -3;
x6.l = -3;
x7.l = -3;
x8.l = -3;
x9.l = -3;
x18.l = 1;
x19.l = 1;

Model m / all /;

m.limrow=0; m.limcol=0;

Solve m using NLP maximizing x1;
