*  NLP written by GAMS Convert at 02/13/14 21:35:25
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*          6        1        0        5        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*          7        7        0        0        0        0        0        0
*  FX      6        6        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*         37       36        1        0
*
*  Solve m using NLP minimizing x7;


Variables  x1,x2,x3,x4,x5,x6,x7;

Positive Variables  x1,x5,x6;

Equations  e1,e2,e3,e4,e5,e6;


e1.. -(6.5*x1 - 0.5*x1*x1) + x2 + 2*x3 + 3*x4 + 2*x5 + x6 + x7 =E= 0;

e2..    x1 + 2*x2 + 8*x3 + x4 + 3*x5 + 5*x6 =L= 16;

e3..  - 8*x1 - 4*x2 - 2*x3 + 2*x4 + 4*x5 - x6 =L= -1;

e4..    2*x1 + 0.5*x2 + 0.2*x3 - 3*x4 - x5 - 4*x6 =L= 24;

e5..    0.2*x1 + 2*x2 + 0.1*x3 - 4*x4 + 2*x5 + 2*x6 =L= 12;

e6..  - 0.1*x1 - 0.5*x2 + 2*x3 + 5*x4 - 5*x5 + 3*x6 =L= 3;

* set non-default bounds
x1.fx = 0;
x2.fx = 0.9999;
x3.fx = 1.2237;
x4.fx = 1.2105;
x5.fx = 0;
x6.fx = 0;

Model m / all /;

m.limrow=0; m.limcol=0;

Solve m using NLP minimizing x7;
