*  MINLP written by GAMS Convert at 02/13/14 21:36:28
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*         11       11        0        0        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         18       11        0        7        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*         51       39       12        0
*
*  Solve m using MINLP minimizing x18;


Variables  i1,i2,i3,i4,i5,i6,i7,x8,x9,x10,x11,x12,x13,x14,x15,x16,x17,x18;

Positive Variables  x10,x15,x16,x17;

Integer Variables  i1,i2,i3,i4,i5,i6,i7;

Equations  e1,e2,e3,e4,e5,e6,e7,e8,e9,e10,e11;


e1..    x16 =E= 1.5;

e2..    x15 =E= 423;

e3..    x17 =E= 0.005;

e4..  - 14*i1 - 28*i2 - 44*i3 - 16*i4 - 43*i5 - 30*i6 - 48.5*i7 + x14 =E= 0;

e5.. -x13/x14 + x8 =E= 0;

e6..  - 2700*i1 - 27000*i2 - 8000*i3 - 4000*i4 - 12000*i5 - 13000*i6 - 20000*i7
      + x13 =E= 0;

e7..  - 3.3E-5*i1 - 0.11*i2 - 0.075*i3 - 0.02*i4 - 0.75*i5 - 0.75*i6 - 0.015*i7
      + x11 =E= 0;

e8..  - 15.85*i1 - 13.4*i2 - 23*i3 - 10*i4 - 24.9*i5 - 19.15*i6 - 29.35*i7
      + x12 =E= 0;

e9.. -x14/x12 + x9 =E= 0;

e10.. -18*x11/x14 + x10 =E= 0;

e11.. -(sqr((x15 - x8)/x15) + sqr((x16 - x9)/x16) + sqr((x17 - x10)/x17)) + x18
       =E= 0;

* set non-default bounds
i1.up = 7;
i2.up = 7;
i3.up = 7;
i4.up = 7;
i5.up = 7;
i6.up = 7;
i7.up = 7;
x8.lo = 420;x8.up = 425;
x9.lo = 1.4;x9.up = 1.6;
x10.up = 0.009;
x11.lo = 3.3E-5;
x12.lo = 10;
x13.lo = 2700;
x14.lo = 14;

* set non-default levels
x8.l = 420;
x9.l = 1.4;
x11.l = 3.3E-5;
x12.l = 10;
x13.l = 2700;
x14.l = 14;
x15.l = 423;
x16.l = 1.5;
x17.l = 0.005;

Model m / all /;

m.limrow=0; m.limcol=0;

Solve m using MINLP minimizing x18;
