*  NLP written by GAMS Convert at 02/13/14 21:35:25
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*          7        1        0        6        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*          9        9        0        0        0        0        0        0
*  FX      8        8        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*         21       11       10        0
*
*  Solve m using NLP minimizing x9;


Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9;

Equations  e1,e2,e3,e4,e5,e6,e7;


e1..  - x1 - x2 - x3 + x9 =E= 0;

e2.. 833.33252*x4/x1/x6 + 100/x6 - 83333.333/(x1*x6) =L= 1;

e3.. 1250*x5/x2/x7 + x4/x7 - 1250*x4/x2/x7 =L= 1;

e4.. 1250000/(x3*x8) + x5/x8 - 2500*x5/x3/x8 =L= 1;

e5..    0.0025*x4 + 0.0025*x6 =L= 1;

e6..  - 0.0025*x4 + 0.0025*x5 + 0.0025*x7 =L= 1;

e7..  - 0.01*x5 + 0.01*x8 =L= 1;

* set non-default bounds
x1.fx = 0.399278843605;
x2.fx = 1.407367982504;
x3.fx = 5.282312418082;
x4.fx = 0.164150759132;
x5.fx = 0.288709195158;
x6.fx = 0.23411814164;
x7.fx = 0.274781680514;
x8.fx = 0.388708555666;

Model m / all /;

m.limrow=0; m.limcol=0;

Solve m using NLP minimizing x9;
